For AI agents: a documentation index is available at /llms.txt. Append .md to any page URL for markdown, or send Accept: text/markdown.
List Prompt Version Eval Runs
List the offline evaluation jobs started for a Prompt Version, newest first, with status and progress. Use it to poll a job started with Start Prompt Version…
List the offline evaluation jobs started for a Prompt Version, newest first, with status and progress. Use it to poll a job started with Start Prompt Version Evaluation Job.
get
https://statsigapi.net/console/v1/prompts/{id}/versions/{versionId}/eval_runsAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
versionIdstringrequiredidstringrequiredid
Query parameters
limitintegerResults per page
Example:
10Constraints:
stringnumberpageintegerPage number
Example:
1Constraints:
stringnumberResponse
application/json200· List Prompt Version Eval Runs Success
messagestringrequiredA simple string explaining the result of the operation.
dataobject[]requiredShow child attributes
idstringrequiredstatusstringrequiredAllowed values:
runningcompletedfailedcreatedTimenumberrequiredConstraints:
format: doublefinishTimenumberrequiredConstraints:
format: doublenullablerunTimenumberrequiredConstraints:
format: doublenullablemodelstringrequiredConstraints:
nullableproviderstringrequiredConstraints:
nullabledatasetVersionnumberrequiredVersion of the dataset the run scored.
Constraints:
format: doublenullableerrorReasonstringrequiredConstraints:
nullableprogressobjectrequiredConstraints:
nullablecompletedRowsnumberrequiredConstraints:
format: doubletotalRowsnumberrequiredConstraints:
format: doublepaginationobjectrequiredPagination metadata for checking if there is next page for example.
Show child attributes
itemsPerPagenumberrequiredConstraints:
format: doublepageNumbernumberrequiredConstraints:
format: doublenextPagestringrequiredConstraints:
nullablepreviousPagestringrequiredConstraints:
nullabletotalItemsnumberConstraints:
format: doubleallstring404· Not Found. The requested resource could not be found.
statusintegerrequiredAllowed values:
404messagestringrequiredWas this helpful?